Property Lookup
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
123
],
"pagination": {
"current_page": 1,
"total_pages": 595,
"total_count": 1190,
"per_page": 50
}
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Markets
Property Lookup
Search for properties and return paginated property IDs based on location, coordinates, or property attributes. Use this endpoint to discover properties matching your criteria, then retrieve full details using the Bulk Property Details endpoint.
Requires Explore Pro access.
GET
/
properties
/
lookup
Property Lookup
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
123
],
"pagination": {
"current_page": 1,
"total_pages": 595,
"total_count": 1190,
"per_page": 50
}
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.